Package org.apache.torque.generator.outlet.copy

# Class CopyOutlet

java.lang.Object
org.apache.torque.generator.outlet.OutletImpl
org.apache.torque.generator.outlet.copy.CopyOutlet

All Implemented Interfaces:
  `Outlet`

public class CopyOutlet extends OutletImpl
A Outlet which copies a given resource unchanged.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CopyOutlet(QualifiedName name, ConfigurationProvider configurationProvider, String path)`
  Constructs a new CopyOutlet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OutletResult`
  `execute(ControllerState controllerState)`
  Executes the generation process; the result is returned.

  ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

  `addMergepointMapping, afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMapping, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CopyOutlet

    public CopyOutlet(QualifiedName name, ConfigurationProvider configurationProvider, String path) throws ConfigurationException
    Constructs a new CopyOutlet.
    Parameters:
      `name` - the name of this outlet, not null.
      `configurationProvider` - the provider for reading the resources, not null.
      `path` - the path to the resource, not null. May contain tokens of the form ${....}, these are parsed.
    Throws:
      `NullPointerException` - if name, path or configurationProvider are null.
      `ConfigurationException` - if an error occurs while reading the template.

- ## Method Details

  - ### execute

    public OutletResult execute(ControllerState controllerState) throws GeneratorException
    Executes the generation process; the result is returned.
    Specified by:
      `execute` in interface `Outlet`
    Specified by:
      `execute` in class `OutletImpl`
    Parameters:
      `controllerState` - the current controller state.
    Returns:
      the result of the generation, not null.
    Throws:
      `GeneratorException` - if generation fails.
    See Also:
      - `Outlet.execute(ControllerState)`